Subject: Re: [PATCHv2 bpf-next] samples/bpf: add xdp program on egress for xdp_redirect_map

From: Hangbin Liu <[email-masked]>
Date: Mon, 30 Nov 2020 21:10:20 +0800

On Mon, Nov 30, 2020 at 10:32:08AM +0100, Jesper Dangaard Brouer wrote:
> > I plan to write a example about vlan header modification based on egress
> > index. I will post the patch later.
> 
> I did notice the internal thread you had with Toke.  I still think it
> will be more simple to modify the Ethernet mac addresses.  Adding a
> VLAN id tag is more work, and will confuse benchmarks.  You are

I plan to only modify the vlan id if there has. If you prefer to modify the
mac address, which way you'd like? Set src mac to egress interface's MAC?

> As Alexei already pointed out, you assignment is to modify the packet
> in the 2nd devmap XDP-prog.  Why: because you need to realize that this
> will break your approach to multicast in your previous patchset.
> (Yes, the offlist patch I gave you, that move running 2nd devmap
> XDP-prog to a later stage, solved this packet-modify issue).

BTW, it looks with your patch, the counter on egress would make more sense.
Should I add the counter after your patch posted?

Thanks
Hangbin